1. FAQ
  2. Common questions

What are the System Requirements for mobile devices?

Apple iPhones and iPads

To run the Ziik app on your Apple iPhone or iPad you will need to have installed iOS 13.0 or later on your device of choice. Supported devices are: 

  • iPhone 6S and newer
  • iPod Touch, 7th generation or newer
  • 12.9-inch iPad Pro (all versions)
  • 11-inch iPad Pro (all versions)
  • 10.5-inch iPad Pro (all versions)
  • 9.7-inch iPad Pro (all versions)
  • iPad, 5th generation on newer
  • iPad mini 4 or newer
  • iPad Air 2 or newer


Android Phones and Devices

If the smartphone or device you want to run Ziik on uses Android as its mobile operating system then it has to run on Android 8.0 or later. If it runs on an earlier version of Android you will, unfortunately, be unable to download and use Ziik on your device.